<?php

define("PERIOD_THIS_WEEK",11);
define("PERIOD_LAST_WEEK",12);
define("PERIOD_THIS_MONTH",21);
define("PERIOD_LAST_MONTH",22);

class Period {
	var $mBeginDate;
	var $mEndDate;
	
	function Period($period_name=0, $date_point=null) {
		if (!$date_point || !is_a($date_point,'DateTime')) {
			$date_point = new DateTime();
		}

		$date_begin = new DateTime();
		$date_begin->setFormat($date_point->getFormat());
		$date_end 	= new DateTime();
		$date_end->setFormat($date_point->getFormat());
		$t_arr = localtime($date_point->getTimestamp());
		switch ($period_name) {
			case PERIOD_THIS_WEEK:
				$date_begin->setTimestamp(mktime(0,0,0,$t_arr[4]+1,$t_arr[3]-$t_arr[6],$t_arr[5]));
				$date_end->setTimestamp(mktime(0,0,0,$t_arr[4]+1,$t_arr[3]-$t_arr[6]+6,$t_arr[5]));
			break;
			case PERIOD_LAST_WEEK:
				$date_begin->setTimestamp(mktime(0,0,0,$t_arr[4]+1,$t_arr[3]-$t_arr[6]-7,$t_arr[5]));
				$date_end->setTimestamp(mktime(0,0,0,$t_arr[4]+1,$t_arr[3]-$t_arr[6]-1,$t_arr[5]));
			break;
			case PERIOD_THIS_MONTH:
				$date_begin->setTimestamp(mktime(0,0,0,$t_arr[4]+1,1,$t_arr[5]));
				$date_end->setTimestamp(mktime(0,0,0,$t_arr[4]+2,0,$t_arr[5]));
			break;
			case PERIOD_LAST_MONTH:
				$date_begin->setTimestamp(mktime(0,0,0,$t_arr[4],1,$t_arr[5]));
				$date_end->setTimestamp(mktime(0,0,0,$t_arr[4]+1,0,$t_arr[5]));
			break;
		}
		$this->mBeginDate	= &$date_begin;
		$this->mEndDate		= &$date_end;
	}
	
	/**
	 * Return all days by period
	 *
	 * @return array
	 */
	function getAllDays() {
		$ret_array = array();
		if ($this->mBeginDate->compare($this->mEndDate)<1) {
			$t = $this->mBeginDate;
			while ($t->compare($this->mEndDate)<1) {
				array_push($ret_array, $t);
				$t->setTimestamp(mktime(0,0,0, $t->getMonth(), $t->getDate()+1, $t->getYear()));
			}
		}
  		return $ret_array;
	}
	
	function setPeriod($b_date, $e_date) {
		$this->mBeginDate = $b_date;
		$this->mEndDate = $e_date;
	}
	
	// return date object
	function getBegin() {
		return $this->mBeginDate;
	}
	
	// return date object
	function getEnd() {
		return $this->mEndDate;
	}
	
	// return date string
	function getBeginDate($format="") {
		return $this->mBeginDate->toString($format);
	}
	
	// return date string
	function getEndDate($format="") {
		return $this->mEndDate->toString($format);
	}
}
?>