<?php
import('form.DefaultCellRenderer');

class TableColumn {
	var $mTitle			= "";
	var $mIndexField	= "";
	var $mRenderer		= null;
	var $mWidth			= "";
	var $mTable         = null;
	var $mBgColor		= "#ffffff";
	var $mFgColor		= "#000000";
	
	function TableColumn($indexField, $title="",$renderer=null) {
		$this->mIndexField	= $indexField;
		$this->mTitle	    = $title;
		if ($renderer!=null) {
		  $this->mRenderer	= $renderer;
		} else {
		  $this->mRenderer	= new DefaultCellRenderer();
		}
	}
	
	function getColumnTitle() { return $this->mTitle; }
	
	function getField() { return $this->mIndexField; }
    
    function setTable(&$table) { $this->mTable = &$table; }

    function setRenderer(&$renderer) { $this->mRenderer = &$renderer; }
    function &getRenderer() { return $this->mRenderer; }    
    
    function setFgColor($value) { $this->mFgColor = $value; }
    function getFgColor() { return $this->mFgColor; }
    
    function setBgColor($value) { $this->mBgColor = $value; }
    function getBgColor() { return $this->mBgColor; }
    
    function renderCell($value,$row,$column) {
    	if ($this->mRenderer!=null) {
    		//$this->mRenderer->setValue($value);
    		return $this->mRenderer->toRender(&$this->mTable,$value,$row,$column);
    	} else {
    		return null;
    	}
    }
    
    function setWidth($value) {
    	$this->mWidth = $value;
    	if ($this->mRenderer!=null) $this->mRenderer->setWidth($value);
    }
    
    function getWidth() {
        return $this->mWidth;
    }
}
?>