<?php

// +----------------------------------------------------------------------+
// | WR Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2005 WR Consulting (http://www.wrconsulting.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+

	require_once('initialize.php');
	import('form.Form');
	import('UserHelper');
	import('TimeHelper');
	import('DateTime');
	
	if ($auth->isAuthenticated()) {
		$user = new User($auth->getUserId());
	} else {
		Header("Location: login.php");
		exit();
	}

    $cl_ts		= $request->getParameter('ts');
    $date_ask	= $request->getParameter('date');
    if (!$date_ask) die("Not exists date parameter");
    $crdate = new DateTime(SYS_DATEFORMAT);
	$crdate->parseVal($date_ask);

	if ($request->getMethod()=="POST") {
		
		if ($request->getParameter('confirmation'))  {  // Confirmation of deleting
            //  deleting
            if (TimeHelper::delete($user->getActiveUser(), $cl_ts, $crdate->toString(DB_DATEFORMAT))) {
              header("Location: mytime.php");
              exit();
            } else {
              $errors->add("deleting",$i18n->getKey("errors.mt_del_no"));
            }
          }
          
        if ($request->getParameter('rejecting')) {
            header("Location: mytime.php");
            exit();
        }
	} else {
		if ($time_rec = TimeHelper::findTimeByUserAndDate($user->getActiveUser(),$cl_ts,$crdate->toString(DB_DATEFORMAT))) {
			$smarty->assign("time_rec", array($time_rec) );
		}
	}
		
	$form = new Form('mytimeForm');
    $form->addInput(array("type"=>"hidden","name"=>"date","value"=>$date_ask));
    $form->addInput(array("type"=>"hidden","name"=>"ts","value"=>$cl_ts));
    $form->addInput(array("type"=>"submit","name"=>"confirmation","value"=>$i18n->getKey('button.delete')));
    $form->addInput(array("type"=>"submit","name"=>"rejecting","value"=>$i18n->getKey('button.cancel')));
	
  	if (!$errors->isEmpty()) {
		$smarty->assign("errors", $errors->getErrors() );
	}
	$smarty->assign("forms",array($form->getName()=>$form->toArray()) );
    $smarty->assign("userdet_string",UserHelper::getUserDetailsString($user,$GLOBALS["I18N"]));
    $smarty->assign("title_page",$i18n->getKey("form.mytime.del_str"));
  	$smarty->assign("content_page_name","mytime_del.tpl");
  	$smarty->display(INDEX_TEMPLATE);

?>